From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-921073-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (pigeon.gentoo.org [208.92.234.80])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by finch.gentoo.org (Postfix) with ESMTPS id 393CF139085
	for <garchives@archives.gentoo.org>; Tue,  3 Jan 2017 21:22:20 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id 7E41721C039;
	Tue,  3 Jan 2017 21:22:19 +0000 (UTC)
Received: from smtp.gentoo.org (woodpecker.gentoo.org [IPv6:2001:470:ea4a:1:5054:ff:fec7:86e4])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id 5FC7921C039
	for <gentoo-commits@lists.gentoo.org>; Tue,  3 Jan 2017 21:22:19 +0000 (UTC)
Received: from oystercatcher.gentoo.org (unknown [IPv6:2a01:4f8:202:4333:225:90ff:fed9:fc84])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id 7FE39341229
	for <gentoo-commits@lists.gentoo.org>; Tue,  3 Jan 2017 21:22:18 +0000 (UTC)
Received: from localhost.localdomain (localhost [127.0.0.1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id D454324EC
	for <gentoo-commits@lists.gentoo.org>; Tue,  3 Jan 2017 21:22:16 +0000 (UTC)
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Michał Górny" <mgorny@gentoo.org>
Message-ID: <1483478531.57751e10f069cebc4d25a87fc311c786745b72cb.mgorny@gentoo>
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-libs/compiler-rt/
X-VCS-Repository: repo/gentoo
X-VCS-Files: sys-libs/compiler-rt/compiler-rt-9999.ebuild
X-VCS-Directories: sys-libs/compiler-rt/
X-VCS-Committer: mgorny
X-VCS-Committer-Name: Michał Górny
X-VCS-Revision: 57751e10f069cebc4d25a87fc311c786745b72cb
X-VCS-Branch: master
Date: Tue,  3 Jan 2017 21:22:16 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Archives-Salt: e14b8b78-ad8e-4f9e-976b-2edd2fea29f8
X-Archives-Hash: 12775291dc95b38f2823722879087913

commit:     57751e10f069cebc4d25a87fc311c786745b72cb
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jan  3 19:56:44 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jan  3 21:22:11 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=57751e10

sys-libs/compiler-rt: Run builtin tests for all ABIs

 sys-libs/compiler-rt/compiler-rt-9999.ebuild | 27 ++++++++++++++++++++-------
 1 file changed, 20 insertions(+), 7 deletions(-)

diff --git a/sys-libs/compiler-rt/compiler-rt-9999.ebuild b/sys-libs/compiler-rt/compiler-rt-9999.ebuild
index ebb8b2b..614c675 100644
--- a/sys-libs/compiler-rt/compiler-rt-9999.ebuild
+++ b/sys-libs/compiler-rt/compiler-rt-9999.ebuild
@@ -64,6 +64,10 @@ src_configure() {
 	cmake-utils_src_configure
 }
 
+run_tests_for_abi() {
+	local ABI=${1}
+}
+
 src_test() {
 	# prepare a test compiler
 	local clang_version=4.0.0
@@ -103,13 +107,22 @@ src_test() {
 		done
 	} > Makefile || die
 
-	# use -k to run all tests even if some fail
-	emake -k \
-		CC="${BUILD_DIR}/bin/clang" \
-		CFLAGS='' \
-		CPPFLAGS='-I../../../lib/builtins' \
-		LDFLAGS='-rtlib=compiler-rt' \
-		LDLIBS='-lm'
+	local ABI
+	for ABI in $(get_all_abis); do
+		# not supported at all at the moment
+		[[ ${ABI} == x32 ]] && continue
+
+		rm -f "${tests[@]}" || die
+
+		einfo "Running tests for ABI=${ABI}"
+		# use -k to run all tests even if some fail
+		emake -k \
+			CC="${BUILD_DIR}/bin/clang" \
+			CFLAGS="$(get_abi_CFLAGS)" \
+			CPPFLAGS='-I../../../lib/builtins' \
+			LDFLAGS='-rtlib=compiler-rt' \
+			LDLIBS='-lm'
+	done
 }
 
 src_install() {